Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface NetworkChannelMBean

public interface NetworkChannelMBean
extends DeploymentMBean

This MBean defines a network channel. A network channel is used to configure additional ports for a server beyond its default listen ports. Network channels do not support IIOP.

A network channel can be targeted at multiple clusters and servers. Targeting a channel at a cluster targets it at every server that is a member of that cluster. A server can support multiple channels. A server can fine-tune its network channel settings by using a NetworkAccessPointMBean. The NetworkAccessPointMBean also servers to set the listen address and external DNS name that a server uses for a particular channel.

A server serves up to three default listen ports: ServerMBean ListenPort, ServerMBean AdministrationPort, and SSLMBean ListenPort. The default listen ports form implicit channel(s) of weight 50.

A network channel also defines the creation of server-to-server connections. If a server is initiating a new connection to another server, the highest weighted common (same named) channel that supports the desired protocol is used to determine which port to contact.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ServerMBean.getListenPort()`, `ServerMBean.getAdministrationPort()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkAccessPointMBean`, `ServerMBean.getNetworkAccessPoints()`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getAcceptBacklog()` Deprecated.
`int` | `getChannelWeight()` Deprecated.
`java.lang.String` | `getClusterAddress()` Deprecated.
`int` | `getCompleteCOMMessageTimeout()` Deprecated.
`int` | `getCompleteHTTPMessageTimeout()` Deprecated.
`int` | `getCompleteT3MessageTimeout()` Deprecated.
`java.lang.String` | `getDescription()` Deprecated.
`int` | `getListenPort()` Deprecated.
`int` | `getLoginTimeoutMillis()` Deprecated.
`int` | `getLoginTimeoutMillisSSL()` Deprecated.
`int` | `getMaxCOMMessageSize()` Deprecated.
`int` | `getMaxHTTPMessageSize()` Deprecated.
`int` | `getMaxT3MessageSize()` Deprecated.
`java.lang.String` | `getName()` Deprecated.
`int` | `getSSLListenPort()` Deprecated.
`int` | `getTunnelingClientPingSecs()` Deprecated.
`int` | `getTunnelingClientTimeoutSecs()` Deprecated.
`boolean` | `isBoundOutgoingEnabled()` Deprecated.
`boolean` | `isCOMEnabled()` Deprecated.
`boolean` | `isHTTPEnabled()` Deprecated.
`boolean` | `isHTTPSEnabled()` Deprecated.
`boolean` | `isListenPortEnabled()` Deprecated.
`boolean` | `isOutgoingEnabled()` Deprecated.
`boolean` | `isSSLListenPortEnabled()` Deprecated.
`boolean` | `isT3Enabled()` Deprecated.
`boolean` | `isT3SEnabled()` Deprecated.
`boolean` | `isTunnelingEnabled()` Deprecated.
`void` | `setAcceptBacklog(int count)` Deprecated.
`void` | `setChannelWeight(int weight)` Deprecated.
`void` | `setClusterAddress(java.lang.String address)` Deprecated.
`void` | `setCOMEnabled(boolean enabled)` Deprecated.
`void` | `setCompleteCOMMessageTimeout(int seconds)` Deprecated.
`void` | `setCompleteHTTPMessageTimeout(int seconds)` Deprecated.
`void` | `setCompleteIIOPMessageTimeout(int seconds)` Deprecated.
`void` | `setCompleteT3MessageTimeout(int seconds)` Deprecated.
`void` | `setDefaultIIOPPassword(java.lang.String password)` Deprecated.
`void` | `setDefaultIIOPPasswordEncrypted(byte[] bytes)` Deprecated.
`void` | `setDefaultIIOPUser(java.lang.String user)` Deprecated.
`void` | `setDescription(java.lang.String description)` Deprecated.
`void` | `setHTTPEnabled(boolean enabled)` Deprecated.
`void` | `setHTTPSEnabled(boolean enabled)` Deprecated.
`void` | `setIdleIIOPConnectionTimeout(int seconds)` Deprecated.
`void` | `setIIOPEnabled(boolean enabled)` Deprecated.
`void` | `setIIOPSEnabled(boolean enabled)` Deprecated.
`void` | `setListenPort(int port)` Deprecated.
`void` | `setListenPortEnabled(boolean enable)` Deprecated.
`void` | `setLoginTimeoutMillis(int timeout)` Deprecated.
`void` | `setLoginTimeoutMillisSSL(int millis)` Deprecated.
`void` | `setMaxCOMMessageSize(int maxsize)` Deprecated.
`void` | `setMaxHTTPMessageSize(int maxsize)` Deprecated.
`void` | `setMaxIIOPMessageSize(int maxsize)` Deprecated.
`void` | `setMaxT3MessageSize(int maxsize)` Deprecated.
`void` | `setName(java.lang.String name)` Deprecated.
`void` | `setOutgoingEnabled(boolean enabled)` Deprecated.
`void` | `setSSLListenPort(int port)` Deprecated.
`void` | `setSSLListenPortEnabled(boolean enable)` Deprecated.
`void` | `setT3Enabled(boolean enabled)` Deprecated.
`void` | `setT3SEnabled(boolean enabled)` Deprecated.
`void` | `setTunnelingClientPingSecs(int secs)` Deprecated.
`void` | `setTunnelingClientTimeoutSecs(int secs)` Deprecated.
`void` | `setTunnelingEnabled(boolean enabled)` Deprecated.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  The name of the channel. The name must not start with ".WL".

  Legal Value: (value != null) && (value.trim().length() > 0) && !value.startsWith(".WL") && !value.equals("Default") && !value.equals("Administrator")
  Returns:
    The name value

### setName

    public void setName(java.lang.String name)
                 throws javax.management.InvalidAttributeValueException,
                        ManagementException

  Deprecated.
  Sets the name attribute of the NetworkChannelMBean object

  Parameters:
    `name` - The new name value
  Throws:
    javax.management.InvalidAttributeValueException -
    ManagementException -

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Optional short description of this channel for console display purposes. For long descriptions, use the "Notes" field.

  Default Value: null
  Returns:
    The description value

### setDescription

    public void setDescription(java.lang.String description)
                        throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the description attribute of the NetworkChannelMBean object

  Parameters:
    `description` - The new description value
  Throws:
    javax.management.InvalidAttributeValueException -

### getListenPort

    public int getListenPort()

  Deprecated.
  The plaintext (non-SSL) listen port for the channel. Individual servers may override this value, but may not enable the port if disabled here and may not disable the port if enabled here. Individual servers may override this value using a NetworkAccessPointMBean.

  Default Value: 8001
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  Returns:
    The listenPort value
  See Also:
    `isListenPortEnabled()`, `getSSLListenPort()`, `NetworkAccessPointMBean.getListenPort()`, `NetworkAccessPointMBean.getListenAddress()`, `NetworkAccessPointMBean.getExternalDNSName()`, `ServerMBean.getListenPort()`

### setListenPort

    public void setListenPort(int port)
                       throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the listenPort attribute of the NetworkChannelMBean object

  Parameters:
    `port` - The new listenPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### isListenPortEnabled

    public boolean isListenPortEnabled()

  Deprecated.
  Whether or not plaintext port is enabled for the channel.

  Default Value: false
  Secure Value: false
  Returns:
    The listenPortEnabled value
  See Also:
    `getListenPort()`, `ServerMBean.isListenPortEnabled()`

### setListenPortEnabled

    public void setListenPortEnabled(boolean enable)
                              throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the listenPortEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enable` - The new listenPortEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSSLListenPort

    public int getSSLListenPort()

  Deprecated.
  The SSL listen port for the channel. Individual server's may override this value, but may not enable the port if disabled here and may not disable the port if enabled here. SSL must be configured and enabled for this port to work. Individual servers may override this value using a NetworkAccessPointMBean.

  Default Value: 8002
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  Returns:
    The sSLListenPort value
  See Also:
    `getSSLListenPort()`, `isSSLListenPortEnabled()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkAccessPointMBean.getSSLListenPort()`, `NetworkAccessPointMBean.getListenAddress()`

### setSSLListenPort

    public void setSSLListenPort(int port)
                          throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the sSLListenPort attribute of the NetworkChannelMBean object

  Parameters:
    `port` - The new sSLListenPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### isSSLListenPortEnabled

    public boolean isSSLListenPortEnabled()

  Deprecated.
  Whether or not SSL port is enabled for the channel. SSL must be configured and enabled in addition to this setting for the SSL port to work.

  Default Value: false
  Secure Value: true
  Returns:
    The sSLListenPortEnabled value
  See Also:
    `SSLMBean.isListenPortEnabled()`, `KernelMBean.getSSL()`

### setSSLListenPortEnabled

    public void setSSLListenPortEnabled(boolean enable)
                                 throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the sSLListenPortEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enable` - The new sSLListenPortEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getClusterAddress

    public java.lang.String getClusterAddress()

  Deprecated.
  This channel's cluster address. If this is not set, the cluster address from the cluster configuration is used in its place.

  Default Value: null
  Returns:
    The clusterAddress value
  See Also:
    `ClusterMBean.getClusterAddress()`

### setClusterAddress

    public void setClusterAddress(java.lang.String address)
                           throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the clusterAddress attribute of the NetworkChannelMBean object

  Parameters:
    `address` - The new clusterAddress value
  Throws:
    javax.management.InvalidAttributeValueException -

### isT3Enabled

    public boolean isT3Enabled()

  Deprecated.
  Whether or not plaintext (non-SSL) T3 traffic is enabled. Note that it is not possible to disable T3 traffic on the default channel(s).

  Default Value: false
  Secure Value: false
  Returns:
    The t3Enabled value
  See Also:
    `NetworkChannelMBean`, `isT3SEnabled()`

### setT3Enabled

    public void setT3Enabled(boolean enabled)
                      throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the t3Enabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new t3Enabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isT3SEnabled

    public boolean isT3SEnabled()

  Deprecated.
  Whether or not secure T3 traffic is enabled. Note that it is not possible to disable T3 traffic on the default channel(s).

  Default Value: false
  Secure Value: false
  Returns:
    The t3SEnabled value
  See Also:
    `NetworkChannelMBean`, `isT3Enabled()`

### setT3SEnabled

    public void setT3SEnabled(boolean enabled)
                       throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the t3SEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new t3SEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isHTTPEnabled

    public boolean isHTTPEnabled()

  Deprecated.
  Whether or not plaintext (non-SSL) HTTP traffic is enabled.

  Default Value: false
  Secure Value: false
  Returns:
    The hTTPEnabled value
  See Also:
    `ServerMBean.isHttpdEnabled()`, `isHTTPSEnabled()`, `isTunnelingEnabled()`

### setHTTPEnabled

    public void setHTTPEnabled(boolean enabled)
                        throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the hTTPEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new hTTPEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isHTTPSEnabled

    public boolean isHTTPSEnabled()

  Deprecated.
  Whether or not secure (SSL) HTTP traffic is enabled.

  Default Value: false
  Secure Value: true
  Returns:
    The hTTPSEnabled value
  See Also:
    `ServerMBean.isHttpdEnabled()`, `isHTTPEnabled()`, `isTunnelingEnabled()`

### setHTTPSEnabled

    public void setHTTPSEnabled(boolean enabled)
                         throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the hTTPSEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new hTTPSEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isCOMEnabled

    public boolean isCOMEnabled()

  Deprecated.
  Indicates whether plaintext (non-SSL) COM traffic is enabled.

  Default Value: false
  Secure Value: false
  Returns:
    The cOMEnabled value
  See Also:
    `ServerMBean.isCOMEnabled()`

### setCOMEnabled

    public void setCOMEnabled(boolean enabled)
                       throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the cOMEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new cOMEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isOutgoingEnabled

    public boolean isOutgoingEnabled()

  Deprecated.
  Whether or not new server-to-server connections may consider this channel when initiating.

  Default Value: false
  Secure Value: true
  Returns:
    The outgoingEnabled value
  See Also:
    `NetworkChannelMBean`

### setOutgoingEnabled

    public void setOutgoingEnabled(boolean enabled)
                            throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the outgoingEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new outgoingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isBoundOutgoingEnabled

    public boolean isBoundOutgoingEnabled()

  Deprecated.
  Bind new outgoing server side T3 or T3S connections to the server channel's listen address. Other protocols ignore this field. This field is ignored for connections initiated via URLs, it takes effect if and only if the connection was initiated by accessing a remote reference (such as an EJB or RMI stub.)

  Default Value: false
  Returns:
    The boundOutgoingEnabled value

### getChannelWeight

    public int getChannelWeight()

  Deprecated.
  A weight to give this channel when creating server-to-server connections.

  Default Value: 50
  Legal Minimum Value: 1
  Legal Maximum Value: 100
  Returns:
    The channelWeight value
  See Also:
    `NetworkChannelMBean`

### setChannelWeight

    public void setChannelWeight(int weight)
                          throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the channelWeight attribute of the NetworkChannelMBean object

  Parameters:
    `weight` - The new channelWeight value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAcceptBacklog

    public int getAcceptBacklog()

  Deprecated.
  Allowed backlog of connection requests on the listen port(s). Individual servers may override this value using a NetworkAccessPointMBean. Setting the backlog to 0 may prevent accepting any incoming connection on some of the OS.

  Default Value: 50
  Legal Minimum Value: 0
  Returns:
    The acceptBacklog value
  See Also:
    `NetworkAccessPointMBean.getAcceptBacklog()`, `ServerMBean.getAcceptBacklog()`

### setAcceptBacklog

    public void setAcceptBacklog(int count)
                          throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the acceptBacklog attribute of the NetworkChannelMBean object

  Parameters:
    `count` - The new acceptBacklog value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLoginTimeoutMillis

    public int getLoginTimeoutMillis()

  Deprecated.
  The login timeout for the server, in milliseconds. This value must be equal to or greater than 0. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  Default Value: 5000
  Legal Minimum Value: 0
  Legal Maximum Value: 100000
  Secure Value: 5000
  Returns:
    The loginTimeoutMillis value
  See Also:
    `NetworkAccessPointMBean.getLoginTimeoutMillis()`, `ServerMBean.getLoginTimeoutMillis()`

### setLoginTimeoutMillis

    public void setLoginTimeoutMillis(int timeout)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Deprecated.
  Sets the loginTimeoutMillis attribute of the NetworkChannelMBean object

  Parameters:
    `timeout` - The new loginTimeoutMillis value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getLoginTimeoutMillisSSL

    public int getLoginTimeoutMillisSSL()

  Deprecated.
  Duration allowed for an SSL login sequence. If the duration is exceeded, the login is timed out. 0 to disable. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 25000
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Secure Value: 25000
  Returns:
    The loginTimeoutMillisSSL value
  See Also:
    `NetworkAccessPointMBean.getLoginTimeoutMillisSSL()`, `SSLMBean.getLoginTimeoutMillis()`

### setLoginTimeoutMillisSSL

    public void setLoginTimeoutMillisSSL(int millis)

  Deprecated.
  Sets the loginTimeoutMillisSSL attribute of the NetworkChannelMBean object

  Parameters:
    `millis` - The new loginTimeoutMillisSSL value

### isTunnelingEnabled

    public boolean isTunnelingEnabled()

  Deprecated.
  Enables tunneling via http.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: false
  Returns:
    The tunnelingEnabled value
  See Also:
    `ServerMBean.isTunnelingEnabled()`, `isHTTPEnabled()`, `isHTTPSEnabled()`

### setTunnelingEnabled

    public void setTunnelingEnabled(boolean enabled)
                             throws DistributedManagementException

  Deprecated.
  Sets the tunnelingEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new tunnelingEnabled value
  Throws:
    DistributedManagementException -

### getTunnelingClientPingSecs

    public int getTunnelingClientPingSecs()

  Deprecated.
  Interval (in seconds) at which to ping an http-tunneled client to see if its still alive. Individual servers may override this value using a NetworkAccessPointMBean.

  Default Value: 45
  Legal Value: (value > 0)
  Returns:
    The tunnelingClientPingSecs value
  See Also:
    `ServerMBean.getTunnelingClientPingSecs()`, `NetworkAccessPointMBean.getTunnelingClientPingSecs()`

### setTunnelingClientPingSecs

    public void setTunnelingClientPingSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the tunnelingClientPingSecs attribute of the NetworkChannelMBean object

  Parameters:
    `secs` - The new tunnelingClientPingSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getTunnelingClientTimeoutSecs

    public int getTunnelingClientTimeoutSecs()

  Deprecated.
  Duration (in seconds) after which a missing http-tunneled client is considered dead. Individual servers may override this value using a NetworkAccessPointMBean.

  Default Value: 40
  Legal Value: (value > 0)
  Secure Value: 40
  Returns:
    The tunnelingClientTimeoutSecs value
  See Also:
    `ServerMBean.getTunnelingClientTimeoutSecs()`, `NetworkAccessPointMBean.getTunnelingClientTimeoutSecs()`

### setTunnelingClientTimeoutSecs

    public void setTunnelingClientTimeoutSecs(int secs)
                                       throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the tunnelingClientTimeoutSecs attribute of the NetworkChannelMBean object

  Parameters:
    `secs` - The new tunnelingClientTimeoutSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCompleteT3MessageTimeout

    public int getCompleteT3MessageTimeout()

  Deprecated.
  The maximum number of seconds spent waiting for a complete T3 message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Returns:
    The completeT3MessageTimeout value
  See Also:
    `KernelMBean.getCompleteT3MessageTimeout()`, `NetworkAccessPointMBean.getCompleteT3MessageTimeout()`

### setCompleteT3MessageTimeout

    public void setCompleteT3MessageTimeout(int seconds)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Deprecated.
  Sets the completeT3MessageTimeout attribute of the NetworkChannelMBean object

  Parameters:
    `seconds` - The new completeT3MessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteHTTPMessageTimeout

    public int getCompleteHTTPMessageTimeout()

  Deprecated.
  The maximum number of seconds spent waiting for a complete HTTP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Returns:
    The completeHTTPMessageTimeout value
  See Also:
    `KernelMBean.getCompleteHTTPMessageTimeout()`, `NetworkAccessPointMBean.getCompleteHTTPMessageTimeout()`

### setCompleteHTTPMessageTimeout

    public void setCompleteHTTPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Deprecated.
  Sets the completeHTTPMessageTimeout attribute of the NetworkChannelMBean object

  Parameters:
    `seconds` - The new completeHTTPMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getCompleteCOMMessageTimeout

    public int getCompleteCOMMessageTimeout()

  Deprecated.
  The maximum number of seconds spent waiting for a complete COM message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Returns:
    The completeCOMMessageTimeout value
  See Also:
    `KernelMBean.getCompleteCOMMessageTimeout()`, `NetworkAccessPointMBean.getCompleteCOMMessageTimeout()`

### setCompleteCOMMessageTimeout

    public void setCompleteCOMMessageTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Deprecated.
  Sets the completeCOMMessageTimeout attribute of the NetworkChannelMBean object

  Parameters:
    `seconds` - The new completeCOMMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxT3MessageSize

    public int getMaxT3MessageSize()

  Deprecated.
  The maximum T3 message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Returns:
    The maxT3MessageSize value
  See Also:
    `weblogic.management.configuration.NetworkAccessPointMBean#getMaxT3MessageSize`, `KernelMBean.getMaxT3MessageSize()`

### setMaxT3MessageSize

    public void setMaxT3MessageSize(int maxsize)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Deprecated.
  Sets the maxT3MessageSize attribute of the NetworkChannelMBean object

  Parameters:
    `maxsize` - The new maxT3MessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxHTTPMessageSize

    public int getMaxHTTPMessageSize()

  Deprecated.
  The maximum HTTP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Returns:
    The maxHTTPMessageSize value
  See Also:
    `weblogic.management.configuration.NetworkAccessPointMBean#getMaxHTTPMessageSize`, `KernelMBean.getMaxHTTPMessageSize()`

### setMaxHTTPMessageSize

    public void setMaxHTTPMessageSize(int maxsize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Deprecated.
  Sets the maxHTTPMessageSize attribute of the NetworkChannelMBean object

  Parameters:
    `maxsize` - The new maxHTTPMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxCOMMessageSize

    public int getMaxCOMMessageSize()

  Deprecated.
  The maximum COM message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. Individual servers may override this value using a NetworkAccessPointMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Returns:
    The maxCOMMessageSize value
  See Also:
    `weblogic.management.configuration.NetworkAccessPointMBean#getMaxCOMMessageSize`, `KernelMBean.getMaxCOMMessageSize()`

### setMaxCOMMessageSize

    public void setMaxCOMMessageSize(int maxsize)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Deprecated.
  Sets the maxCOMMessageSize attribute of the NetworkChannelMBean object

  Parameters:
    `maxsize` - The new maxCOMMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setIIOPEnabled

    public void setIIOPEnabled(boolean enabled)
                        throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the iIOPEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new iIOPEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### setIIOPSEnabled

    public void setIIOPSEnabled(boolean enabled)
                         throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the iIOPSEnabled attribute of the NetworkChannelMBean object

  Parameters:
    `enabled` - The new iIOPSEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### setCompleteIIOPMessageTimeout

    public void setCompleteIIOPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Deprecated.
  Sets the completeIIOPMessageTimeout attribute of the NetworkChannelMBean object

  Parameters:
    `seconds` - The new completeIIOPMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setMaxIIOPMessageSize

    public void setMaxIIOPMessageSize(int maxsize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Deprecated.
  Sets the maxIIOPMessageSize attribute of the NetworkChannelMBean object

  Parameters:
    `maxsize` - The new maxIIOPMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setIdleIIOPConnectionTimeout

    public void setIdleIIOPConnectionTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Deprecated.
  Sets the idleIIOPConnectionTimeout attribute of the NetworkChannelMBean object

  Parameters:
    `seconds` - The new idleIIOPConnectionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setDefaultIIOPUser

    public void setDefaultIIOPUser(java.lang.String user)
                            throws javax.management.InvalidAttributeValueException

  Deprecated.
  Sets the value of the DefaultIIOPUser attribute.

  Parameters:
    `user` - The new defaultIIOPUser value
  Throws:
    javax.management.InvalidAttributeValueException -

### setDefaultIIOPPassword

    public void setDefaultIIOPPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

  Deprecated.

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `DefaultIIOPPasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new defaultIIOPPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setDefaultIIOPPasswordEncrypted(byte[] bytes)`

### setDefaultIIOPPasswordEncrypted

    public void setDefaultIIOPPasswordEncrypted(byte[] bytes)

  Deprecated.

  Encrypts and sets the defaultIIOPPassword attribute.

  Parameters:
    `bytes` - The new DefaultIIOPPasswordEncrypted value as a byte array.
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getDefaultIIOPPasswordEncrypted()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD